Package weka.knowledgeflow.steps

# Enum Class FlowByExpression.ExpressionClause.ExpressionType

java.lang.Object
java.lang.Enum<FlowByExpression.ExpressionClause.ExpressionType>
weka.knowledgeflow.steps.FlowByExpression.ExpressionClause.ExpressionType

All Implemented Interfaces:
  `Serializable`, `Comparable<FlowByExpression.ExpressionClause.ExpressionType>`, `Constable`

Enclosing class:
  FlowByExpression.ExpressionClause

public static enum FlowByExpression.ExpressionClause.ExpressionType extends Enum<FlowByExpression.ExpressionClause.ExpressionType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTAINS`
  `ENDSWITH`
  `EQUALS`
  `GREATERTHAN`
  `GREATERTHANEQUAL`
  `ISMISSING`
  `LESSTHAN`
  `LESSTHANEQUAL`
  `NOTEQUAL`
  `REGEX`
  `STARTSWITH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static FlowByExpression.ExpressionClause.ExpressionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FlowByExpression.ExpressionClause.ExpressionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EQUALS

    public static final FlowByExpression.ExpressionClause.ExpressionType EQUALS

  - ### NOTEQUAL

    public static final FlowByExpression.ExpressionClause.ExpressionType NOTEQUAL

  - ### LESSTHAN

    public static final FlowByExpression.ExpressionClause.ExpressionType LESSTHAN

  - ### LESSTHANEQUAL

    public static final FlowByExpression.ExpressionClause.ExpressionType LESSTHANEQUAL

  - ### GREATERTHAN

    public static final FlowByExpression.ExpressionClause.ExpressionType GREATERTHAN

  - ### GREATERTHANEQUAL

    public static final FlowByExpression.ExpressionClause.ExpressionType GREATERTHANEQUAL

  - ### ISMISSING

    public static final FlowByExpression.ExpressionClause.ExpressionType ISMISSING

  - ### CONTAINS

    public static final FlowByExpression.ExpressionClause.ExpressionType CONTAINS

  - ### STARTSWITH

    public static final FlowByExpression.ExpressionClause.ExpressionType STARTSWITH

  - ### ENDSWITH

    public static final FlowByExpression.ExpressionClause.ExpressionType ENDSWITH

  - ### REGEX

    public static final FlowByExpression.ExpressionClause.ExpressionType REGEX

- ## Method Details

  - ### values

    public static FlowByExpression.ExpressionClause.ExpressionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FlowByExpression.ExpressionClause.ExpressionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<FlowByExpression.ExpressionClause.ExpressionType>`